Skip to main content

Type Alias: GatewayInferenceResponseTextAnnotationDeltaEvent

type GatewayInferenceResponseTextAnnotationDeltaEvent = {
[key: string]: unknown;
type: "response.output_text.annotation.added";
item_id: string;
output_index: number;
content_index: number;
annotation_index: number;
annotation: GatewayInferenceAnnotation;
};

Defined in: src/models/ai-gateway-inference.ts:5030

Portkey ResponseTextAnnotationDeltaEvent; additive response fields are preserved.

Example​

`GatewayInferenceResponseTextAnnotationDeltaEventSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "response.output_text.annotation.added";

Defined in: src/models/ai-gateway-inference.ts:5031


item_id​

item_id: string;

Defined in: src/models/ai-gateway-inference.ts:5032


output_index​

output_index: number;

Defined in: src/models/ai-gateway-inference.ts:5033


content_index​

content_index: number;

Defined in: src/models/ai-gateway-inference.ts:5034


annotation_index​

annotation_index: number;

Defined in: src/models/ai-gateway-inference.ts:5035


annotation​

annotation: GatewayInferenceAnnotation;

Defined in: src/models/ai-gateway-inference.ts:5036